Package twisted :: Package conch :: Package ssh :: Module factory :: Class OpenSSHFactory

[show private | hide private]
[frames | no frames]

## Class OpenSSHFactory

    Factory --+
              |
     SSHFactory --+
                  |
                 OpenSSHFactory

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `SSHFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
`tuple` | ``getDHPrime`(self, bits)` Return a tuple of (g, p) for a Diffe-Hellman process, with p being as close to bits bits as possible. (inherited from `SSHFactory`)
`dict` | ``getPrimes`(self)` Called when the factory is started to get Diffie-Hellman generators and primes to use.
`dict` | ``getPrivateKeys`(self)` Called when the factory is started to get the private portions of the servers host keys.
`dict` | ``getPublicKeys`(self)` Called when the factory is started to get the public portions of the servers host keys.
subclass of {service.SSHService} | ``getService`(self, transport, service)` Return a class to use as a service for the given transport. (inherited from `SSHFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `SSHFactory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`str` | `dataRoot`
`str` | `moduliRoot`

Method Details

### getPrimes(self)

Called when the factory is started to get Diffie-Hellman generators and primes to use. Returns a dictionary mapping number of bits to lists of tuple of (generator, prime).

  Returns:
    `dict`
  Overrides:
    `twisted.conch.ssh.factory.SSHFactory.getPrimes` (inherited documentation)

### getPrivateKeys(self)

Called when the factory is started to get the private portions of the servers host keys. Returns a dictionary mapping SSH key types to `Crypto.PublicKey.pubkey.pubkey` objects.

  Returns:
    `dict`
  Overrides:
    `twisted.conch.ssh.factory.SSHFactory.getPrivateKeys` (inherited documentation)

### getPublicKeys(self)

Called when the factory is started to get the public portions of the servers host keys. Returns a dictionary mapping SSH key types to public key strings.

  Returns:
    `dict`
  Overrides:
    `twisted.conch.ssh.factory.SSHFactory.getPublicKeys` (inherited documentation)

Class Variable Details

### dataRoot

  Type:
    `str`
  Value:

        '/usr/local/etc'

### moduliRoot

  Type:
    `str`
  Value:

        '/usr/local/etc'

Generated by Epydoc 1.1 on Thu May 8 13:18:19 2003 | http://epydoc.sf.net